## lokalize 17.08.3

=== debian/changelog ===
lokalize (4:17.08.3-4) unstable; urgency=medium

  * Team upload.
  * Recommend sonnet-plugins for spell checking. (Closes: #884515)
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:51:56 +0100

lokalize (4:17.08.3-3) unstable; urgency=medium

  * Team upload.
  * Adjust once more l10npkgs_firstversion_ok to the fixed version of
    kde-l10n. (Closes: #882403)

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 08:31:13 +0100

lokalize (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:57:31 +0100

lokalize (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Bump kde-l10n breaks/replaces versions
  * Update uploaders list as requested by MIA team (Closes: #879410)

  [ Pino Toscano ]
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove trailing whitespaces in changelog.
  * Add gettext, and pkg-config as explicit build dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Nov 2017 12:43:41 +0100

lokalize (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Drop cmake-look-for-hunspell-1.6-as-well.patch, upstream applied a similar patch
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:17 +0200

lokalize (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:05:11 +0000

lokalize (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:43:09 +0000

lokalize (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:37 +0000

lokalize (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:34 +0000

lokalize (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:26:37 +0000

lokalize (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:07:04 +0000

lokalize (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:08 +0000

lokalize (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:07 +0000

lokalize (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:01 +0000

lokalize (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:33:04 +0000

lokalize (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:54 +0000

lokalize (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:33 +0000

lokalize (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:22 +0000

lokalize (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:32 +0000

lokalize (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:51 +0000

=== debian/control ===
Source: lokalize
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7~),
               gettext,
               kross-dev,
               libhunspell-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5sonnet-dev,
               libkf5xmlgui-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtscript5-dev (>= 5.5.0~),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/lokalize.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/lokalize.git

Package: lokalize
Architecture: any
Section: devel
Depends: kinit, libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: gettext,
            krosspython,
            python-dbus,
            python-lxml,
            sonnet-plugins,
            subversion,
            translate-toolkit (>= 1.3.0),
Suggests: khelpcenter, poxml
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on productivity
 and quality assurance. It has components usual for CAT tools: translation
 memory, glossary, and also a unique translation merging (synchronization)
 capability. It is primarily targeted at software translation and also
 integrates external conversion tools for office document translation.
 Lokalize is a replacement of KBabel.
 .
 This package is part of the KDE Software Development Kit module.

## lokalize 17.12.2

=== debian/changelog ===
lokalize (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:48 +0000

lokalize (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Add pkg-config to build depends after upstream stable branch
    change "rewrite FindHUNSPELL.cmake to use pkg-config"
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:48 +0000

## lokalize 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(lokalize)

set (QT_MIN_VERSION "5.5.0")


# search packages used by KDE
find_package(ECM 1.7 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Script Sql)

find_package(KF5 REQUIRED I18n KIO XmlGui Notifications Config CoreAddons DocTools Kross Sonnet DBusAddons Crash)

add_definitions(-DQT_USE_QSTRINGBUILDER)

find_package(HUNSPELL)
set_package_properties(
    HUNSPELL PROPERTIES
    DESCRIPTION "Library used for stemming"
    URL         "http://hunspell.sourceforge.net/"
    TYPE        REQUIRED 
    PURPOSE     "Required to build Lokalize.")

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}) 



add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(scripts)
add_subdirectory(icons)
#add_subdirectory(strigi-analyzer)

install(FILES org.kde.lokalize.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()
include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory(po)

=== src/CMakeLists.txt ===
project(lokalize)

if(NOT WIN32)
    find_package(HUNSPELL REQUIRED)
else(NOT WIN32)
    find_package(HUNSPELL)
endif(NOT WIN32)

if(HUNSPELL_FOUND)
    add_definitions(-DHAVE_HUNSPELL)
    include_directories(
	${HUNSPELL_INCLUDE_DIRS}
    )
endif(HUNSPELL_FOUND)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/prefs
    ${CMAKE_CURRENT_SOURCE_DIR}/common
    ${CMAKE_CURRENT_SOURCE_DIR}/catalog
    ${CMAKE_CURRENT_SOURCE_DIR}/catalog/gettext
    ${CMAKE_CURRENT_SOURCE_DIR}/catalog/xliff
    ${CMAKE_CURRENT_SOURCE_DIR}/catalog/ts
    ${CMAKE_CURRENT_SOURCE_DIR}/cataloglistview
    ${CMAKE_CURRENT_SOURCE_DIR}/project
    ${CMAKE_CURRENT_SOURCE_DIR}/glossary
    ${CMAKE_CURRENT_SOURCE_DIR}/webquery
    ${CMAKE_CURRENT_SOURCE_DIR}/tm
    ${CMAKE_CURRENT_SOURCE_DIR}/filesearch
    ${CMAKE_CURRENT_SOURCE_DIR}/mergemode
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(lokalize_SRCS
    main.cpp
    lokalizemainwindow.cpp
    actionproxy.cpp

    editortab.cpp
    editortab_findreplace.cpp

    editorview.cpp
    xlifftextedit.cpp
    syntaxhighlighter.cpp

    completionstorage.cpp

    phaseswindow.cpp
    noteeditor.cpp
    msgctxtview.cpp

    binunitsview.cpp

    cataloglistview/cataloglistview.cpp
    cataloglistview/catalogmodel.cpp

    common/headerviewmenu.cpp
    common/domroutines.cpp
    common/htmlhelpers.cpp
    common/unixhelpers.cpp
    common/fastsizehintitemdelegate.cpp
    common/flowlayout.cpp
    common/termlabel.cpp
    common/languagelistmodel.cpp
    common/stemming.cpp
    glossary/glossaryview.cpp
    glossary/glossary.cpp
    glossary/glossarywindow.cpp

    mergemode/mergecatalog.cpp
    mergemode/mergeview.cpp
    alttransview.cpp
    common/diff.cpp
    project/project.cpp
    project/projectmodel.cpp
    project/projectwidget.cpp
    project/projecttab.cpp
    project/poextractor.cpp
    project/xliffextractor.cpp

    prefs/prefs.cpp

    webquery/webqueryview.cpp
    webquery/webquerycontroller.cpp
    webquery/myactioncollectionview.cpp
    tools/widgettextcaptureconfig.cpp

    filesearch/filesearchtab.cpp

    tm/tmview.cpp
    tm/tmscanapi.cpp
    tm/jobs.cpp
    tm/dbfilesmodel.cpp
    tm/tmmanager.cpp
    tm/tmtab.cpp
    tm/qaview.cpp
    tm/qamodel.cpp

    catalog/phase.cpp

    catalog/cmd.cpp
    catalog/pos.cpp
    catalog/catalog.cpp
    catalog/catalogstring.cpp
    catalog/gettextheader.cpp
    catalog/gettext/gettextstorage.cpp
    catalog/gettext/catalogitem.cpp
    catalog/gettext/importplugin.cpp
    catalog/gettext/gettextimport.cpp
    catalog/gettext/gettextexport.cpp
    catalog/xliff/xliffstorage.cpp
    catalog/ts/tsstorage.cpp
)

ki18n_wrap_ui(lokalize_SRCS
    prefs/prefs_identity.ui
    prefs/prefs_editor.ui
    prefs/prefs_appearance.ui
    prefs/prefs_tm.ui
    project/prefs_project_advanced.ui
    project/prefs_project_local.ui
    project/prefs_projectmain.ui
    glossary/termedit.ui
    filesearch/filesearchoptions.ui
    filesearch/massreplaceoptions.ui
    tm/queryoptions.ui
    tm/managedatabases.ui
    tm/dbparams.ui
    kaider_findextension.ui
    webquery/querycontrol.ui
    tools/widgettextcaptureconfig.ui
)

kconfig_add_kcfg_files(lokalize_SRCS
    prefs/prefs_lokalize.kcfgc
    project/projectbase.kcfgc
    project/projectlocal.kcfgc
)

qt5_add_dbus_adaptor(lokalize_SRCS org.kde.lokalize.MainWindow.xml
                     lokalizemainwindow.h LokalizeMainWindow)
qt5_add_dbus_adaptor(lokalize_SRCS org.kde.lokalize.Editor.xml
                     editortab.h EditorTab)
qt5_add_dbus_adaptor(lokalize_SRCS filesearch/org.kde.lokalize.FileSearch.xml
                     filesearch/filesearchtab.h FileSearchTab)
qt5_add_dbus_adaptor(lokalize_SRCS tm/org.kde.lokalize.TranslationMemory.xml
                     tm/tmtab.h TM::TMTab)
qt5_add_dbus_adaptor(lokalize_SRCS project/org.kde.lokalize.Project.xml
                     project/project.h Project)
qt5_add_dbus_adaptor(lokalize_SRCS project/org.kde.lokalize.ProjectOverview.xml
                     project/projecttab.h ProjectTab)



file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/global/*-apps-lokalize.png")
ecm_add_app_icon(lokalize_SRCS ICONS ${ICONS_SRCS})

add_executable(lokalize ${lokalize_SRCS})

target_link_libraries(lokalize
KF5::KIOFileWidgets
KF5::ItemViews
KF5::Notifications
KF5::SonnetCore
KF5::SonnetUi
KF5::KrossCore
KF5::KrossUi
KF5::DBusAddons
KF5::Crash
Qt5::Sql
)
if(HUNSPELL_FOUND)
    target_link_libraries(lokalize ${HUNSPELL_LIBRARIES})
endif(HUNSPELL_FOUND)

install(TARGETS lokalize ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.lokalize.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES prefs/lokalize.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES lokalize.notifyrc DESTINATION  ${KNOTIFYRC_INSTALL_DIR} )

install( FILES
        editorui.rc
        lokalizemainwindowui.rc
        scriptsui.rc
        project/projectmanagerui.rc
        tm/translationmemoryrui.rc
        filesearch/filesearchtabui.rc
        DESTINATION  ${KXMLGUI_INSTALL_DIR}/lokalize )

=== icons/global/CMakeLists.txt ===
ecm_install_icons(ICONS
    32-apps-lokalize.png
    64-apps-lokalize.png
    sc-apps-lokalize.svgz
    128-apps-lokalize.png
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== debian/changelog ===
lokalize (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:16 +0000

=== debian/control ===
Source: lokalize
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libhunspell-dev,
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize

Package: lokalize
Architecture: any
Section: devel
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: gettext,
            krosspython,
            python-dbus,
            python-lxml,
            subversion,
            translate-toolkit (>= 1.3.0)
Suggests: khelpcenter, poxml
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on productivity
 and quality assurance. It has components usual for CAT tools: translation
 memory, glossary, and also a unique translation merging (synchronization)
 capability. It is primarily targeted at software translation and also
 integrates external conversion tools for office document translation.
 Lokalize is a replacement of KBabel.
 .
 This package is part of the KDE Software Development Kit module.

## lokalize 18.04.3

=== debian/changelog ===
lokalize (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:23:14 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
+               qtscript5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize

## lokalize 18.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,20 +2,21 @@
 
 project(lokalize)
 
-set (QT_MIN_VERSION "5.5.0")
+set(QT_MIN_VERSION "5.5.0")
+set(KF5_MIN_VERSION "5.14.0")
 
-
-# search packages used by KDE
-find_package(ECM 1.7 REQUIRED CONFIG)
+# search packages used
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
+include(ECMQtDeclareLoggingCategory)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Script Sql)
 
-find_package(KF5 REQUIRED I18n KIO XmlGui Notifications Config CoreAddons DocTools Kross Sonnet DBusAddons Crash)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED I18n KIO XmlGui Notifications Config CoreAddons DocTools Kross Sonnet DBusAddons Crash)
 
 add_definitions(-DQT_USE_QSTRINGBUILDER)

=== debian/changelog ===
lokalize (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the build dependencies of all the Frameworks packages, including
    extra-cmake-modules, to 5.14.0.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Small changes in copyright.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Remove empty line at the end of rules.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Sep 2018 20:58:02 +0200

=== debian/control ===
Source: lokalize
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.14.0~),
               gettext,
               kross-dev (>= 5.14.0~),
               libhunspell-dev,
               libkf5config-dev (>= 5.14.0~),
               libkf5coreaddons-dev (>= 5.14.0~),
               libkf5crash-dev (>= 5.14.0~),
               libkf5dbusaddons-dev (>= 5.14.0~),
               libkf5doctools-dev (>= 5.14.0~),
               libkf5i18n-dev (>= 5.14.0~),
               libkf5kio-dev (>= 5.14.0~),
               libkf5notifications-dev (>= 5.14.0~),
               libkf5sonnet-dev (>= 5.14.0~),
               libkf5xmlgui-dev (>= 5.14.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtscript5-dev (>= 5.5.0~),
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lokalize
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lokalize.git

Package: lokalize
Architecture: any
Section: devel
Depends: kinit, libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: gettext,
            krosspython,
            python-dbus,
            python-lxml,
            sonnet-plugins,
            subversion,
            translate-toolkit (>= 1.3.0),
Suggests: khelpcenter, poxml
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on productivity
 and quality assurance. It has components usual for CAT tools: translation
 memory, glossary, and also a unique translation merging (synchronization)
 capability. It is primarily targeted at software translation and also
 integrates external conversion tools for office document translation.
 Lokalize is a replacement of KBabel.
 .
 This package is part of the KDE Software Development Kit module.

## lokalize 18.08.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -110,6 +110,13 @@
     catalog/gettext/gettextexport.cpp
     catalog/xliff/xliffstorage.cpp
     catalog/ts/tsstorage.cpp
+)
+
+ecm_qt_declare_logging_category(lokalize_SRCS
+    HEADER lokalize_debug.h
+    IDENTIFIER LOKALIZE_LOG
+    CATEGORY_NAME org.kde.lokalize
+    DEFAULT_SEVERITY Warning
 )
 
 ki18n_wrap_ui(lokalize_SRCS
@@ -181,6 +188,7 @@
 install( PROGRAMS org.kde.lokalize.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
 install( FILES prefs/lokalize.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 install( FILES lokalize.notifyrc DESTINATION  ${KNOTIFYRC_INSTALL_DIR} )
+install( FILES lokalize.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
 
 install( FILES
         editorui.rc

=== debian/changelog ===
lokalize (4:18.08.3-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (18.08.0)
  * New upstream release (18.08.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, remaining changes:
    - keep l10npkgs_firstversion_ok := 4:17.03.90-0~

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 26 Dec 2018 17:57:07 +0000

## lokalize 18.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,13 @@
-cmake_minimum_required(VERSION 2.8.12)
+# Lokalize project
+cmake_minimum_required(VERSION 3.0)
 
-project(lokalize)
+# KDE Application Version, managed by release script
+set (KDE_APPLICATIONS_VERSION_MAJOR "18")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "0")
+set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+
+project(lokalize VERSION ${KDE_APPLICATIONS_VERSION})
 
 set(QT_MIN_VERSION "5.5.0")
 set(KF5_MIN_VERSION "5.14.0")

=== debian/changelog ===
lokalize (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:44 +0000

## lokalize 18.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "0")
+set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 project(lokalize VERSION ${KDE_APPLICATIONS_VERSION})
@@ -26,6 +26,7 @@
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED I18n KIO XmlGui Notifications Config CoreAddons DocTools Kross Sonnet DBusAddons Crash)
 
 add_definitions(-DQT_USE_QSTRINGBUILDER)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
 
 find_package(HUNSPELL)
 set_package_properties(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,9 @@
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
+configure_file(version.h.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/version.h)
+
 set(lokalize_SRCS
     main.cpp
     lokalizemainwindow.cpp
@@ -57,7 +60,6 @@
     common/headerviewmenu.cpp
     common/domroutines.cpp
     common/htmlhelpers.cpp
-    common/unixhelpers.cpp
     common/fastsizehintitemdelegate.cpp
     common/flowlayout.cpp
     common/termlabel.cpp
@@ -112,6 +114,12 @@
     catalog/ts/tsstorage.cpp
 )
 
+if(WIN32)
+    list (APPEND lokalize_SRCS common/winhelpers.cpp)
+else(WIN32)
+    list (APPEND lokalize_SRCS common/unixhelpers.cpp)
+endif(WIN32)
+
 ecm_qt_declare_logging_category(lokalize_SRCS
     HEADER lokalize_debug.h
     IDENTIFIER LOKALIZE_LOG
@@ -121,9 +129,11 @@
 
 ki18n_wrap_ui(lokalize_SRCS
     prefs/prefs_identity.ui
+    prefs/prefs_general.ui
     prefs/prefs_editor.ui
     prefs/prefs_appearance.ui
     prefs/prefs_tm.ui
+    prefs/prefs_pology.ui
     project/prefs_project_advanced.ui
     project/prefs_project_local.ui
     project/prefs_projectmain.ui

=== debian/changelog ===
lokalize (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:29 +0000

## lokalize 18.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MICRO "2")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 project(lokalize VERSION ${KDE_APPLICATIONS_VERSION})

=== debian/changelog ===
lokalize (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:22:02 +0000

=== debian/control ===
--- 
+++ 
@@ -8,28 +8,28 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.14.0~),
+               extra-cmake-modules (>= 5.31.0~),
                gettext,
-               kross-dev (>= 5.14.0~),
+               kross-dev (>= 5.31.0~),
                libhunspell-dev,
-               libkf5config-dev (>= 5.14.0~),
-               libkf5coreaddons-dev (>= 5.14.0~),
-               libkf5crash-dev (>= 5.14.0~),
-               libkf5dbusaddons-dev (>= 5.14.0~),
-               libkf5doctools-dev (>= 5.14.0~),
-               libkf5i18n-dev (>= 5.14.0~),
-               libkf5kio-dev (>= 5.14.0~),
-               libkf5notifications-dev (>= 5.14.0~),
-               libkf5sonnet-dev (>= 5.14.0~),
-               libkf5xmlgui-dev (>= 5.14.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5sonnet-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.5.0~),
-               qtscript5-dev (>= 5.5.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lokalize
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lokalize.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize
 
 Package: lokalize
 Architecture: any

## lokalize 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "18")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 project(lokalize VERSION ${KDE_APPLICATIONS_VERSION})

=== debian/changelog ===
lokalize (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:35:03 +0000

## lokalize 19.04.0

=== debian/changelog ===
lokalize (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:37 +0100

## lokalize 19.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 project(lokalize VERSION ${KDE_APPLICATIONS_VERSION})

=== debian/changelog ===
lokalize (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:04:12 +0100

## lokalize 19.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MICRO "2")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 project(lokalize VERSION ${KDE_APPLICATIONS_VERSION})

## lokalize 19.04.3

=== debian/changelog ===
lokalize (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:41 +0100

lokalize (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:15:23 +0100

## lokalize 19.08.1

=== debian/changelog ===
lokalize (4:19.08.1-1) unstable; urgency=medium

  * New upstream release (19.08.1).
  * Bump Standards-Version to 4.4.0.
  * Bump debhelper build-dep and compat to 12.
  * Update build-deps and deps with the info from cmake
  * Drop kde-l10n breaks/replaces, fixed versions already in stable
  * Add a salsa-ci script
  * Build with hardening bindnow
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Sep 2019 17:57:36 -0700

=== debian/control ===
Source: lokalize
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 12~),
               extra-cmake-modules (>= 5.14.0~),
               gettext,
               kross-dev (>= 5.14.0~),
               libhunspell-dev,
               libkf5config-dev (>= 5.14.0~),
               libkf5coreaddons-dev (>= 5.14.0~),
               libkf5crash-dev (>= 5.14.0~),
               libkf5dbusaddons-dev (>= 5.14.0~),
               libkf5doctools-dev (>= 5.14.0~),
               libkf5i18n-dev (>= 5.14.0~),
               libkf5kio-dev (>= 5.14.0~),
               libkf5notifications-dev (>= 5.14.0~),
               libkf5sonnet-dev (>= 5.14.0~),
               libkf5xmlgui-dev (>= 5.14.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qtscript5-dev (>= 5.5.0~),
Standards-Version: 4.4.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lokalize
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lokalize.git

Package: lokalize
Architecture: any
Section: devel
Depends: kinit, libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: gettext,
            krosspython,
            python-dbus,
            python-lxml,
            sonnet-plugins,
            subversion,
            translate-toolkit (>= 1.3.0),
Suggests: khelpcenter, poxml
Description: computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on productivity
 and quality assurance. It has components usual for CAT tools: translation
 memory, glossary, and also a unique translation merging (synchronization)
 capability. It is primarily targeted at software translation and also
 integrates external conversion tools for office document translation.
 Lokalize is a replacement of KBabel.
 .
 This package is part of the KDE Software Development Kit module.

## lokalize 19.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 project(lokalize VERSION ${KDE_APPLICATIONS_VERSION})

=== po/sr/data/lokalize/icons/l10n/CMakeLists.txt ===
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(sr@ijekavian)
add_subdirectory(sr@ijekavianlatin)

=== debian/changelog ===
lokalize (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:39:08 +0000

## lokalize 19.12.0

=== debian/changelog ===
lokalize (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
  * Disable the unit tests at build time, as they do not seem to work in build
    environments:
    - Pass -DBUILD_TESTING=OFF to cmake to disable their build
    - override dh_auto_test
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jan 2020 22:25:54 +0100

## lokalize 19.12.1

=== debian/changelog ===
lokalize (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:52 +0000

## lokalize 19.12.2

=== debian/changelog ===
lokalize (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:30 +0000

## lokalize 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
add_subdirectory(global)

ecm_install_icons(ICONS
    16-actions-approved.png
    16-actions-insert_arg.png
    16-actions-insert_tag.png
    16-actions-msgid2msgstr.png
    16-actions-nexterror.png
    16-actions-nextfuzzy.png
    16-actions-nextfuzzyuntrans.png
    16-actions-nextpo.png
    16-actions-nexttemplate.png
    16-actions-nextuntranslated.png
    16-actions-preverror.png
    16-actions-prevfuzzy.png
    16-actions-prevfuzzyuntrans.png
    16-actions-prevpo.png
    16-actions-prevtemplate.png
    16-actions-prevuntranslated.png
    16-actions-search2msgstr.png
    16-actions-transsearch.png
    22-actions-approved.png
    22-actions-catalogmanager.png
    22-actions-insert_arg.png
    22-actions-insert_tag.png
    22-actions-msgid2msgstr.png
    22-actions-nexterror.png
    22-actions-nextfuzzy.png
    22-actions-nextfuzzyuntrans.png
    22-actions-nextpo.png
    22-actions-nexttemplate.png
    22-actions-nextuntranslated.png
    22-actions-preverror.png
    22-actions-prevfuzzy.png
    22-actions-prevfuzzyuntrans.png
    22-actions-prevpo.png
    22-actions-prevtemplate.png
    22-actions-prevuntranslated.png
    22-actions-search2msgstr.png
    22-actions-transsearch.png
    32-actions-approved.png
    32-actions-catalogmanager.png
    32-actions-diff.png
    32-actions-insert_arg.png
    32-actions-insert_tag.png
    32-actions-msgid2msgstr.png
    32-actions-nexterror.png
    32-actions-nextfuzzy.png
    32-actions-nextfuzzyuntrans.png
    32-actions-nextpo.png
    32-actions-nexttemplate.png
    32-actions-nextuntranslated.png
    32-actions-preverror.png
    32-actions-prevfuzzy.png
    32-actions-prevfuzzyuntrans.png
    32-actions-prevpo.png
    32-actions-prevtemplate.png
    32-actions-prevuntranslated.png
    32-actions-search2msgstr.png
    32-actions-transsearch.png
    48-actions-approved.png
    sc-actions-approved.svgz
    DESTINATION ${DATA_INSTALL_DIR}/lokalize/icons
    THEME hicolor
)
ecm_install_icons(ICONS
    16-actions-catalogmanager.png
    16-actions-diff.png
    16-actions-insert_arg.png
    16-actions-insert_tag.png
    16-actions-msgid2msgstr.png
    16-actions-nexterror.png
    16-actions-nextfuzzy.png
    16-actions-nextfuzzyuntrans.png
    16-actions-nextpo.png
    16-actions-nexttemplate.png
    16-actions-nextuntranslated.png
    16-actions-preverror.png
    16-actions-prevfuzzy.png
    16-actions-prevfuzzyuntrans.png
    16-actions-prevpo.png
    16-actions-prevtemplate.png
    16-actions-prevuntranslated.png
    16-actions-search2msgstr.png
    16-actions-transsearch.png
    32-actions-catalogmanager.png
    32-actions-diff.png
    32-actions-insert_arg.png
    32-actions-insert_tag.png
    32-actions-msgid2msgstr.png
    32-actions-nexterror.png
    32-actions-nextfuzzy.png
    32-actions-nextfuzzyuntrans.png
    32-actions-nextpo.png
    32-actions-nexttemplate.png
    32-actions-nextuntranslated.png
    32-actions-preverror.png
    32-actions-prevfuzzy.png
    32-actions-prevfuzzyuntrans.png
    32-actions-prevpo.png
    32-actions-prevtemplate.png
    32-actions-prevuntranslated.png
    32-actions-search2msgstr.png
    32-actions-transsearch.png
    DESTINATION ${DATA_INSTALL_DIR}/lokalize/icons
    THEME locolor
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 configure_file(version.h.cmake
     ${CMAKE_CURRENT_BINARY_DIR}/version.h)
 
-set(lokalize_SRCS
+set(liblokalize_SRCS
     main.cpp
     lokalizemainwindow.cpp
     actionproxy.cpp
@@ -69,6 +69,8 @@
     glossary/glossary.cpp
     glossary/glossarywindow.cpp
 
+    metadata/filemetadata.cpp
+
     mergemode/mergecatalog.cpp
     mergemode/mergeview.cpp
     alttransview.cpp
@@ -77,8 +79,9 @@
     project/projectmodel.cpp
     project/projectwidget.cpp
     project/projecttab.cpp
-    project/poextractor.cpp
-    project/xliffextractor.cpp
+    project/updatestatsjob.cpp
+    metadata/poextractor.cpp
+    metadata/xliffextractor.cpp
 
     prefs/prefs.cpp
 
@@ -115,19 +118,19 @@
 )
 
 if(WIN32)
-    list (APPEND lokalize_SRCS common/winhelpers.cpp)
+    list (APPEND liblokalize_SRCS common/winhelpers.cpp)
 else(WIN32)
-    list (APPEND lokalize_SRCS common/unixhelpers.cpp)
+    list (APPEND liblokalize_SRCS common/unixhelpers.cpp)
 endif(WIN32)
 
-ecm_qt_declare_logging_category(lokalize_SRCS
+ecm_qt_declare_logging_category(liblokalize_SRCS
     HEADER lokalize_debug.h
     IDENTIFIER LOKALIZE_LOG
     CATEGORY_NAME org.kde.lokalize
     DEFAULT_SEVERITY Warning
 )
 
-ki18n_wrap_ui(lokalize_SRCS
+ki18n_wrap_ui(liblokalize_SRCS
     prefs/prefs_identity.ui
     prefs/prefs_general.ui
     prefs/prefs_editor.ui
@@ -148,47 +151,53 @@
     tools/widgettextcaptureconfig.ui
 )
 
-kconfig_add_kcfg_files(lokalize_SRCS
+kconfig_add_kcfg_files(liblokalize_SRCS
     prefs/prefs_lokalize.kcfgc
     project/projectbase.kcfgc
     project/projectlocal.kcfgc
 )
 
-qt5_add_dbus_adaptor(lokalize_SRCS org.kde.lokalize.MainWindow.xml
+qt5_add_dbus_adaptor(liblokalize_SRCS org.kde.lokalize.MainWindow.xml
                      lokalizemainwindow.h LokalizeMainWindow)
-qt5_add_dbus_adaptor(lokalize_SRCS org.kde.lokalize.Editor.xml
+qt5_add_dbus_adaptor(liblokalize_SRCS org.kde.lokalize.Editor.xml
                      editortab.h EditorTab)
-qt5_add_dbus_adaptor(lokalize_SRCS filesearch/org.kde.lokalize.FileSearch.xml
+qt5_add_dbus_adaptor(liblokalize_SRCS filesearch/org.kde.lokalize.FileSearch.xml
                      filesearch/filesearchtab.h FileSearchTab)
-qt5_add_dbus_adaptor(lokalize_SRCS tm/org.kde.lokalize.TranslationMemory.xml
+qt5_add_dbus_adaptor(liblokalize_SRCS tm/org.kde.lokalize.TranslationMemory.xml
                      tm/tmtab.h TM::TMTab)
-qt5_add_dbus_adaptor(lokalize_SRCS project/org.kde.lokalize.Project.xml
+qt5_add_dbus_adaptor(liblokalize_SRCS project/org.kde.lokalize.Project.xml
                      project/project.h Project)
-qt5_add_dbus_adaptor(lokalize_SRCS project/org.kde.lokalize.ProjectOverview.xml
+qt5_add_dbus_adaptor(liblokalize_SRCS project/org.kde.lokalize.ProjectOverview.xml
                      project/projecttab.h ProjectTab)
 
 
+### Build intermediate library (will be used by unit tests) ###
+add_library(liblokalize STATIC ${liblokalize_SRCS})
+target_link_libraries(liblokalize
+    KF5::KIOFileWidgets
+    KF5::ItemViews
+    KF5::Notifications
+    KF5::SonnetCore
+    KF5::SonnetUi
+    KF5::KrossCore
+    KF5::KrossUi
+    KF5::DBusAddons
+    KF5::Crash
+    Qt5::Sql
+)
+if(HUNSPELL_FOUND)
+    target_link_libraries(liblokalize ${HUNSPELL_LIBRARIES})
+endif(HUNSPELL_FOUND)
+
+
+### Build Lokalize executable ###
+set(lokalize_SRCS main.cpp)
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/global/*-apps-lokalize.png")
 ecm_add_app_icon(lokalize_SRCS ICONS ${ICONS_SRCS})
 
 add_executable(lokalize ${lokalize_SRCS})
-
-target_link_libraries(lokalize
-KF5::KIOFileWidgets
-KF5::ItemViews
-KF5::Notifications
-KF5::SonnetCore
-KF5::SonnetUi
-KF5::KrossCore
-KF5::KrossUi
-KF5::DBusAddons
-KF5::Crash
-Qt5::Sql
-)
-if(HUNSPELL_FOUND)
-    target_link_libraries(lokalize ${HUNSPELL_LIBRARIES})
-endif(HUNSPELL_FOUND)
+target_link_libraries(lokalize liblokalize)
 
 install(TARGETS lokalize ${INSTALL_TARGETS_DEFAULT_ARGS} )
 
@@ -198,7 +207,12 @@
 install( PROGRAMS org.kde.lokalize.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
 install( FILES prefs/lokalize.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 install( FILES lokalize.notifyrc DESTINATION  ${KNOTIFYRC_INSTALL_DIR} )
-install( FILES lokalize.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+
+if (${ECM_VERSION} STRGREATER "5.58.0")
+    install( FILES lokalize.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )
+else()
+    install( FILES lokalize.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+endif()
 
 install( FILES
         editorui.rc
@@ -208,3 +222,7 @@
         tm/translationmemoryrui.rc
         filesearch/filesearchtabui.rc
         DESTINATION  ${KXMLGUI_INSTALL_DIR}/lokalize )
+
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()

=== debian/changelog ===
lokalize (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:17:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 12~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.14.0~),
                gettext,
                kross-dev (>= 5.14.0~),
@@ -26,7 +26,7 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.5.0~),
                qtscript5-dev (>= 5.5.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lokalize
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lokalize.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with=kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

.PHONY: override_dh_auto_test

## lokalize 20.04.0

=== debian/changelog ===
lokalize (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:28:16 +0100

## lokalize 20.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,15 @@
 cmake_minimum_required(VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(lokalize VERSION ${KDE_APPLICATIONS_VERSION})
+project(lokalize VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.5.0")
-set(KF5_MIN_VERSION "5.14.0")
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.65.0")
 
 # search packages used
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
@@ -32,7 +32,7 @@
 set_package_properties(
     HUNSPELL PROPERTIES
     DESCRIPTION "Library used for stemming"
-    URL         "http://hunspell.sourceforge.net/"
+    URL         "https://hunspell.github.io/"
     TYPE        REQUIRED 
     PURPOSE     "Required to build Lokalize.")

=== debian/changelog ===
lokalize (4:20.04.1-0ubuntu2) groovy; urgency=medium

  * Sync changes from Debian 19.12.0-2.
    - remove python-lxml from Recommends, it was necessary for odf2xliff but that
      tool has now been moved to src:translate-toolkit; Closes: #945696
    - remove python-dbus too, no python source file in this package uses it
    - demote krosspython to Suggests, to give it time to migrate to python3

 -- Rik Mills <rikmills@kde.org>  Wed, 20 May 2020 12:46:58 +0100

lokalize (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:42:21 +0100

lokalize (4:19.12.0-2) unstable; urgency=medium

  * Team upload.
  * remove python-lxml from Recommends, it was necessary for odf2xliff but that
    tool has now been moved to src:translate-toolkit; Closes: #945696
  * remove python-dbus too, no python source file in this package uses it
  * demote krosspython to Suggests, to give it time to migrate to python3

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Apr 2020 15:40:32 -0400

=== debian/control ===
--- 
+++ 
@@ -36,13 +36,10 @@
 Section: devel
 Depends: kinit, libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Recommends: gettext,
-            krosspython,
-            python-dbus,
-            python-lxml,
             sonnet-plugins,
             subversion,
             translate-toolkit (>= 1.3.0),
-Suggests: khelpcenter, poxml
+Suggests: khelpcenter, poxml, krosspython
 Description: computer-aided translation system
  Lokalize is a computer-aided translation system that focuses on productivity
  and quality assurance. It has components usual for CAT tools: translation

## lokalize 20.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
 set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(lokalize VERSION ${RELEASE_SERVICE_VERSION})
